<div class="vh-100">
    <div class="d-flex border-bottom shadow-sm">
        <div class="position-relative flex-grow-1">
            <img src="assets/thumbnail_Left_Top.jpg" class="w-75 h-100 position-absolute start-0 top-0"
                alt="Right Image">
        </div>
        <div>
            <app-search-nav-bar></app-search-nav-bar>
        </div>
        <div class="position-relative flex-grow-1">
            <img src="assets/thumbnail_Right_Top.jpg" class="w-75 h-100 position-absolute end-0 top-0"
                alt="Right Image">
        </div>
    </div>
    <div *ngIf="rowDataEast && rowDataWest" class="container d-table">
        <div class="d-table-cell align-middle">
            <h3 class="mt-3 text-center">NBA Team Standings</h3>
            <div class="d-flex justify-content-around mb-3">
                <form [formGroup]="seasonSelectForm" class="form-group w-50 d-flex justify-content-center">
                    <select class="form-select w-25" id="seasonSelectElement" formControlName="seasonSelect"
                        (change)="UpdateSeasonSelection()">
                        <option value="">Seasons</option>
                        <option value="2020">2020-2021</option>
                        <option value="2021">2021-2022</option>
                        <option value="2022">2022-2023</option>
                        <option value="2023">2023-2024</option>
                    </select>
                </form>
            </div>
            <div>
                <div class="d-flex justify-content-around">
                    <h4>Western Conference</h4>
                    <h4>Eastern Conference</h4>
                </div>
                <div class="d-flex justify-content-around">
                    <app-stat-table class="me-3" [rowData]="rowDataWest" [columnDefs]="colDef"
                        [gridOptions]="gridOptions">
                    </app-stat-table>
                    <app-stat-table class="ms-3" [rowData]="rowDataEast" [columnDefs]="colDef"
                        [gridOptions]="gridOptions">
                    </app-stat-table>
                </div>
            </div>
        </div>
    </div>
    <div *ngIf="!rowDataEast && !rowDataWest" class="text-center">
        <h3>No TeamInfo Data Available</h3>
        <p>See console for errors</p>
    </div>
</div>